#!/bin/sh

#
# ksh88e - latest version of ksh from AT&T.
#
# included are man pages (ksh.1) and a memorandum describing the features
# of ksh (ksh.memo). You will need nroff or an equivalent to view these;
# ksh.1 needs the -man macros, ksh.memo needs the -mm macros.
#
# 06/26/91 Jim Barton (jmb@sgi.com)
#

#
# Install ksh
#

/etc/install -f /bin -m 555 -u bin -g bin -o -v ksh

# suid_exec is used by the shell to execute suid/sgid shell scripts which
# are not readable. normally, the shell must be able to read a shell script
# to execute it. however, suid shell scripts present a security breach if
# not properly handled. denying read permission slows down a malicious user
# since he doesn't know what the script is doing, and it can't be copied.
#
# I, personally, do not use suid shell scripts because of the security
# dangers, and turn it off when sysgen'ing IRIX. if you want this functionality
# uncomment the line below, to suid_exec is installed properly.
#/etc/install -f /etc -m 4555 -u root -g bin -O -v suid_exec

#
# Install the man page
#

/etc/install -F /usr/man/u_man/man1 -m 444 -u bin -g bin -O -v ksh.1
